<?
require_once 'core/system.php';
$header = 'Поход';
require_once 'core/head.php';
switch($act) {

default;
echo'<center><br><img src="/img/pohod.png"></center>';
	
if($user['pohod_time'] < time() && $user['pohod'] == 1)
{
if($user['pohod_start'] == '1'){$nagrada='300';}     #####Цены за  поход####
elseif($user['pohod_start'] == '2'){$nagrada='700';} #####Цены за  поход####
elseif($user['pohod_start'] == '3'){$nagrada='1100';} #####Цены за  поход####
elseif($user['pohod_start'] == '4'){$nagrada='2200';} #####Цены за  поход####
elseif($user['pohod_start'] == '5'){$nagrada='5000';} #####Цены за  поход####
echo "<center><div class='separ'></div>Поход окончен.<br>Награда:  <img src='/images/icon/silver.png'> $nagrada, </br><a class='btn' href='pohod.php'><span class='end'><span class='label'>Отправиться в поход</span></span></a></center>";
mysql_query("UPDATE `user` SET  `silver`=`silver`+'$nagrada',   `pohod` = '0', `pohod_time` = '0', `pohod_start` = '0' WHERE `id`='".$user['id']."' LIMIT 1");
}
if($user['pohod'] == 0)
{
echo "<center><div class='block_zero'><span class='blue'>В походе ты получишь <img src='/images/icon/silver.png' alt=''/> 
серебро. Чем дольше поход, тем больше награда!</span></div><div class='dot-line'></div>";
echo "<form action='?act=go' method='POST'>";
echo"<select name=\"time\">
<option value=\"1\">30 мин</option>";
if($user['level'] >= '5'){echo"<option value=\"2\">1 час</option>";}
if($user['level'] >= '10'){echo"<option value=\"3\">2 часа</option>";}
if($user['level'] >= '20'){echo"<option value=\"4\">4 часа</option>";}
if($user['level'] >= '30'){echo"<option value=\"5\">8 часов</option>";}
echo"</select><br/>
<span class='btn'><span class='end'><input class='label' type='submit' value='Отправиться в поход' /></span></span></div></form></div>";

 require_once 'core/foot.php';
}


if($user['pohod_time'] > time())
{

if($user['pohod_time'] > time() && $user['pohod'] == 1)
{
$pohod_ostalos=$user['pohod_time']-time();
echo '<div class="player center">Вы отправились в поход.. <br>До конца осталось:
'.(int)($pohod_ostalos/3600).' час '.($pohod_ostalos/60%60).' мин. '.($pohod_ostalos%60).' сек.
';
echo"<div class='separ'></div><a class='btn' href='pohod.php'><span class='end'><span class='label'>Обновить</span></span></a></div>";
}
}

break;
case 'go':
if($user['health'] < 50)
{
header('Location: ?');
$_SESSION['light'] = "<span class='dred'>Для похода нужно <img src='/images/icon/health.png' alt=''/> 50 Здоровья</span><br/>Здоровье восстанавливается со временем или за золото<br><div class='separ'></div><a class='btn' href='/moduls/ckoldun.php?act=ok'><span class='end'><span class='label'>Восстановить <img src='/images/icon/health.png' alt=''/> 100% здоровья</span></span></a><br><span class='grey'>Цена: <img src='/images/icon/gold.png' alt=''/> 15 золота</span>";
exit();
}else{
$taxi_time = $_POST[time];
$time = time();
	if($user['pohod_start'] == '0')
	{

		if(isset($taxi_time))
		{
			if($taxi_time == 1)
			{
			if($user[level]<1){echo'<center><span class="dred">У вас маленький уровень</span></center>';require_once 'core/foot.php';exit();}
			$time_plus = '1800';
			}
			elseif($taxi_time == 2)
			{
			if($user[level]<5){echo'<center><span class="dred">У вас маленький уровень</span></center>';require_once 'core/foot.php';exit();}
			$time_plus = '3600';
			}
			elseif($taxi_time == 3)
			{
			if($user[level]<10){echo'<center><span class="dred">У вас маленький уровень</span></center>';require_once 'core/foot.php';exit();}
			$time_plus = '7200';
			}
			elseif($taxi_time == 4)
			{
			if($user[level]<20){echo'<center><span class="dred">У вас маленький уровень</span></center>';require_once 'core/foot.php';exit();}
			$time_plus = '14400';
			}
			elseif($taxi_time == 5)
			{
			if($user[level]<30){echo'<center><span class="dred">У вас маленький уровень</span></center>';require_once 'core/foot.php';exit();}
			$time_plus = '28800';
			}
		$time_db = $time + $time_plus;
mysql_query("UPDATE `user` SET `pohod` = '1', `pohod_time` = '".$time_db."',  `pohod_start` = '".$taxi_time."' WHERE `id` = '".$user['id']."' LIMIT 1");
header('Location: ?');
}
}
$_SESSION['message'] = 'Вы отправились в поход!';
exit();

}
break;
}
require_once 'core/foot.php';
?>